

// 分享链接
function sharetoapp(url) {
	shareHref(url);
}

function plusReady() {
	updateSerivces();
	var personChangePwdId = document.getElementById('personChangePwdId');
	personChangePwdId.addEventListener('tap', function() {
		openWin("changePwd.html");
	});
	var recharge = document.getElementById('rechargerecordId');
	recharge.addEventListener('tap', function() {
		openWin("../recharge/rechargerecord.html");
	});
	var rechargeInfo = document.getElementById('rechargeInfoId');
	rechargeInfo.addEventListener('tap', function() {
		openWin("../recharge/rechargeInfo.html?type=liebiao");
	});
	
	//修改头像
	document.getElementById('userImg').addEventListener('tap', function() {
		addMoreImgs();
	});
	
	// 分享给好友
	var shareFirend = document.getElementById('shareFirendId');
	var shareUrl = 'http://180.76.249.240:8081/DownLoad.html';
	shareFirend.addEventListener('tap', function() {
		sharetoapp(shareUrl);
	});
}
mui.plusReady(function() {
	
	plusReady();
});
//if(window.plus) {
//	
//	plusReady();
//} else {
//	
//	document.addEventListener("plusready", plusReady, false);
//}
/**
 * 更新分享服务
 */
function updateSerivces() {
	plus.share.getServices(function(s) {
		shares = {};
		for(var i in s) {
			var t = s[i];
			shares[t.id] = t;
		}
	}, function(e) {
		console.log("获取分享服务列表失败：" + e.message);
	});
}

var shares = null;
// 分享链接
function shareHref(url) {
	console.log('执行分享ing......');
	var shareBts = [];
	// 更新分享列表
	var ss = shares['weixin'];
	ss && ss.nativeClient && (shareBts.push({
			title: '微信朋友圈',
			s: ss,
			x: 'WXSceneTimeline'
		}),
		shareBts.push({
			title: '微信好友',
			s: ss,
			x: 'WXSceneSession'
		}));
	ss = shares['qq'];
	ss && ss.nativeClient && shareBts.push({
		title: 'QQ',
		s: ss
	});
	// 弹出分享列表
	shareBts.length > 0 ? plus.nativeUI.actionSheet({
		title: '分享伊诺特电气',
		cancel: '取消',
		buttons: shareBts
	}, function(e) {
		(e.index > 0) && shareAction(url, shareBts[e.index - 1], true);
	}) : plus.nativeUI.alert('当前环境无法支持分享链接操作!');
}

/**
 * 分享操作
 * @param {JSON} url 要分享的链接
 * @param {JSON} sb 分享操作对象s.s为分享通道对象(plus.share.ShareService)
 * @param {Boolean} bh 是否分享链接
 */
function shareAction(url, sb, bh) {
	if(!sb || !sb.s) {
		mui.alert("无效的分享服务！");
		return;
	}
	var msg = {
		content: '我是内容',
		extra: {
			scene: sb.x
		}
	};
	if(bh) {
		msg.href = url;
		msg.title = "伊诺特预付费APP下载";
		//alert(msg.href);
		msg.content = "查看链接 " + url;
		msg.thumbs = ["../../img/logo2.png"];
		msg.pictures = ["../../img/logo2.png"];
	}
	// 发送分享
	if(sb.s.authenticated) {
		//		console.log("---已授权---");
		shareMessage(msg, sb.s);
	} else {
		//alert("---未授权---"); //会走这里
		sb.s.authorize(function() {
			shareMessage(msg, sb.s);
		}, function(e) {
			mui.alert("认证授权失败：" + e.code + " - " + e.message);
		});
	}
}
/**
 * 发送分享消息
 * @param {JSON} msg
 * @param {plus.share.ShareService} s
 */
function shareMessage(msg, s) {
	//	console.log(JSON.stringify(msg));
	s.send(msg, function() {
		console.log("分享到\"" + s.description + "\"成功！ ");
		mui.alert("分享到\"" + s.description + "\"成功！ ");

	}, function(e) {
		console.log("分享到\"" + s.description + "\"失败: " + JSON.stringify(e));
		mui.alert("分享到\"" + s.description + "");
	});
}


function addMoreImgs() {
	var btnArray = [{
		title: "从相册选择"
	}, {
		title: "拍摄新照片"
	}];
	plus.nativeUI.actionSheet({
		cancel: "取消",
		buttons: btnArray
	}, function(event) {
		var index = event.index;
		switch(index) {
			case 1:
				galleryImg();
				break;
			case 2:
				getImage();
				break;
		}
	});
};
//拍摄照片
function getImage() {
	var c = plus.camera.getCamera();
	c.captureImage(function(e) {
		plus.io.resolveLocalFileSystemURL(e, function(entry) {
			_doUploadHeadSrc(entry);
		}, function(e) {
			console.log("读取拍照文件错误：" + e.message);
		});
	}, function(s) {
		console.log("error" + s);
	}, {
		filename: "_doc/head.jpg"
	})
}
/***相册获取****/
function galleryImg() {
	plus.gallery.pick(function(a) {
		plus.io.resolveLocalFileSystemURL(a, function(entry) {
			_doUploadHeadSrc(entry)
		}, function(e) {
			console.log("读取拍照文件错误：" + e.message);
		});
	}, function(a) {}, {
		filter: "image"
	})
};

// 图片上传
function _doUploadHeadSrc(entry) {
	var src = entry.toLocalURL();
	if(!src) {
		mui.toast('未选择图片');
		return;
	}
	var files = [];
	files.push({
		name: 'uploadkey1',
		path: src
	});
	plus.nativeUI.showWaiting("正在上传头像,请稍后...");
	
	uploadAll(files, 'headerImage', 'imgaes', true, function(uploadFileInfo) {
		plus.nativeUI.closeWaiting();
	
		if(uploadFileInfo.result) { //
			var fileName = uploadFileInfo.fileNameArr[0].value;
			_doUpdateDB(fileName);
		} else {
			mui.alert("头像上传失败", "提示", "确定");
		}
	});
}



function _doUpdateDB(fileName) {
	var headImgUrl = 'Upload/head/' + fileName;
	plus.nativeUI.showWaiting("上传成功，正在更新信息...");
	var url = ApiRequest.getApiHost() + "/user/updateheadimg";
	var obj={
			imgurl:headImgUrl,
			userid:parseFloat(UserInfo.getUserState().userId)
		};
	console.log("------:"+url);
	console.log("data:"+JSON.stringify(obj));
	mui.ajax(url,{
		data:obj,
		dataType: 'json', //服务器返回json格式数据
		type: 'POST', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			plus.nativeUI.closeWaiting();
			console.log('_doUpdateDB:' + JSON.stringify(data));
			if(data&&data.success) {
				isUpdateImgSuccess = true;
				var newHeadUrl = ApiRequest.getUrlHost() + headImgUrl;
				document.getElementById("userImg").src = newHeadUrl;
				var userInfo=UserInfo.getUserState();
				userInfo.headImage=newHeadUrl;
				updateUserState(userInfo);
				
				mui.toast("头像更新成功");
			} else {
				mui.alert("头像更新失败", "提示", "确定");
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			//异常处理； 
			mui.toast('请求失败 ' + type, {
				duration: 'long',
				type: 'div'
			});
		}
	});
}
