/**
 * 方法说明：
 * @author 江节胜 ,E-mail:dev@jiangjiesheng.com
 * @type 创建
 * @version 创建时间：2017
 * @param 
 */
/*
 * help：
 * http://192.168.1.69:9010/ComIOSJianAnTongService.svc/help
 * http://139.196.174.102/jatapitest/ComIOSJianAnTongService.svc/help
 * 请求的API管理
 * <script type="text/javascript" src="js/api-request.js"></script>
 * */
var RunningMode = {
	LocalMode: 'LocalMode', //本地测试
	RemoteTestMode: 'RemoteTestMode', //远端测试
	FormalMode: 'FormalMode' //正式发布
};

var runningMode = RunningMode.FormalMode; //在这里切换

//20是JGJ59 证书查询 最新的版本
const menuMinClientFlag = 20; //控制客户端访问的最低版本,每次数据变化时 以10的倍数进行冗余兼容（多版本同时开发场景），20180524 江节胜添加 

var Host_URL = getUrl(runningMode); //服务器目录地址
var RUNNING_MODE = _getRunningMode(runningMode); //服务器目录地址
var API_URL = Host_URL + "API"; //服务器接口地址
var DOWN_URL = Host_URL; // 文件下载地址
//扫码专用
var ScanLoad_Url_Host = getScanLoadUrlHost(runningMode); //扫码登录的服务器目录地址

(function(ApiRequest) {
	/**
	 * 服务器接口地址
	 */
	ApiRequest.getApiHost = function() {
		return API_URL;
	};
	/**
	 * 服务器目录地址;
	 * 暂时用语获取首页图片资源
	 */
	ApiRequest.getUrlHost = function() {
		return Host_URL;
	};
	/**
	 * //扫码专用服务器目录地址;
	 * 暂时用语获取首页图片资源
	 */
	ApiRequest.getScanLoadUrlHost = function() {
		return ScanLoad_Url_Host;
	};
	/**
	 * 获取当前运行模式 不能直接返回 runningMode
	 */
	ApiRequest.getRunningMode = function() {
		//console.log('ApiRequest.getRunningMode : '+RUNNING_MODE);
		return RUNNING_MODE;
	};
	/**
	 * MinClientVersion 字段 控制客户端访问的最低版本,每次数据变化时 以10的倍数进行冗余兼容（多版本同时开发场景），20180524 江节胜添加 
	 */
	ApiRequest.getMenuMinClientFlag = function() {
		//console.log('ApiRequest.getRunningMode : '+RUNNING_MODE);
		return menuMinClientFlag;
	};

}(window.ApiRequest = {}))

function getUrl(runningMode) {
	switch(runningMode) {
		case RunningMode.LocalMode:
			return 'http://192.168.1.186:60750/';
			//return 'http://192.168.1.127:4772/';
			break;
		case RunningMode.RemoteTestMode:
			return 'http://180.76.249.240:8082/';
			break;
		case RunningMode.FormalMode:
			return 'http://180.76.249.240:8081/';
			break;
		default:
			break;
	}
}
//扫码专用
function getScanLoadUrlHost(runningMode) {
	switch(runningMode) {
		case RunningMode.LocalMode:
			return 'http://www.aqt365.com/jssajxttest/'; //本地不能测试
			break;
		case RunningMode.RemoteTestMode:
			return 'http://www.aqt365.com/jssajxttest/';
			break;
		case RunningMode.FormalMode:
			return 'http://www.aqt365.com/jssajxt/';
			break;
		default:
			break;
	}
}

function _getRunningMode(runningMode) {
	// console.log('111：'+runningMode);
	return runningMode;
}

/**
 * 判断网络是否可用(可不用时已有提示) 
 * 20170615 js新增
 */
function checkNetwork() {
	if(_onNetChange() == false) {
		mui.toast('当前网络不可用,请先检查网络');
		return false;
	} else {
		return true;
	}
}
var _networkAvailable = true;

if(typeof(mui) != 'undefined') {
	//console.log("mui 已 定义");
	mui.plusReady(function() { //这个js位置要放在mui.js后面
		document.addEventListener("netchange", _onNetChange, false);
	});
}

function _onNetChange() {　　 //获取当前网络类型
	var nt = plus.networkinfo.getCurrentType();　　
	switch(nt) {　　　　
		case plus.networkinfo.CONNECTION_ETHERNET:
			　　　　
		case plus.networkinfo.CONNECTION_WIFI:
			console.log("当前网络为WiFi");
			networkAvailable = true;　　　　　
			return true;　　　　　　
		case plus.networkinfo.CONNECTION_CELL2G:
			　　　　
		case plus.networkinfo.CONNECTION_CELL3G:
			　　　　
		case plus.networkinfo.CONNECTION_CELL4G:
			console.log("当前网络为非WiFi");
			_networkAvailable = true;　　　
			return true;　　　　　　
		default:
			_networkAvailable = false;
			console.log("当前没有网络");　
			return false;
	}
}