/**
 * 演示程序当前的 “注册/登录” 等操作，是基于 “本地存储” 完成的
 * 当您要参考这个演示程序进行相关 app 的开发时，
 * 请注意将相关方法调整成 “基于服务端Service” 的实现。
 * 
 **/
/*var API_URL = "http://139.196.174.102/jatapitest/ComIOSJianAnTongService.svc";*/
var API_URL = ApiRequest.getApiHost();
var re_login_flag = 0; //处理 偶尔登录时提示parseerror 20170504 js新增 
(function($, owner) {
	/**
	 * 用户登录
	 **/
	// URL API 
	owner.login = function(loginInfo, callback) {
		callback = callback || $.noop;
		loginInfo = loginInfo || {};
		loginInfo.account = loginInfo.account || '';
		loginInfo.password = loginInfo.password || '';
		if(loginInfo.account.length == 0) {
			return callback('请输入账号');
		}
		if(loginInfo.password.length == 0) {
			return callback('请输入密码');
		}
		//		else if(loginInfo.password.length < 6) {
		//			return callback('密码最短为 6 个字符');
		//		}
		// 请求登录UserLogin 方法
		if(!checkNetwork()) {
			return;
		}
		// 调用loading关闭
		plus.nativeUI.showWaiting("登录中...");
		var url = API_URL + "/User/UserLogin";
		mui.ajax(url, {
			data: {
				UserPhone: loginInfo.account,
				UserPWD: loginInfo.password,
				TerminalNumber: '测试',
				AccountTypes: '1'
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/json'
			},
			success: function(data) {
				console.log(JSON.stringify(data));
				console.log(data.RETURN_RESULT);
				/*{"ERROR_CODE":"","ERROR_MESSAGE":"",
				"MESSAGE":"向达&项目经理&X20161025201730566873&Upload/imgaes/headerImage/1481944737945.jpg",
				"RETURN_RESULT":"登录成功","SUCCESS":true}*/
				// 取出返回值进行判断
				if(data.RETURN_RESULT == "登录成功") {
					mui.toast('登录成功', {
						duration: 'long',
						type: 'div'
					})
					owner.createState(data.MESSAGE, loginInfo.account, loginInfo.password, callback);
					//return false;
				} else {
					closeWating();
					return callback('登录失败，请检查用户名或密码是否正确');
				}
			},
			error: function(xhr, type, errorThrown) {
				if(type.indexOf('parse') >= 0 && re_login_flag == 0) { //parseerror
					owner.login(loginInfo, callback);
					re_login_flag = 1;
				} else {
					mui.toast('程序异常' + type, {
						duration: 'long',
						type: 'div'
					});
				}
				closeWating();
			}
		});
	};
	owner.createState = function(userinfo, userid, password, callback) {
		var username = userinfo.split('&')[0]; //用户姓名
		var userjob = userinfo.split('&')[1]; //职位
		var usernumber = userinfo.split('&')[2]; //usernumber字段
		var userheadimg = userinfo.split('&')[3]; //个人中心有头像
		var state = owner.getState();
		
		//state.cardidstate = 
		state.account = userid;
		state.password = password;
		state.username = username;
		state.userjob = userjob;
		state.usernumber = usernumber;
		state.userheadimg = userheadimg;
		state.token = "token123456789";
		state.auto_login_valid_time = new Date().getTime(); //记录自动登录的有效期
		owner.setState(state);
		console.log('owner.setState(state);');
		//var v = plus.webview.currentWebview();
		//if(v)
		//plus.webview.currentWebview().close(); //解决在部分设备上不能跳转的问题
		var idpassword = document.getElementById('password');
		//idpassword.value = '';
		var idaccount = document.getElementById('account');
		//idaccount.value = '';
		localStorage.setItem('$loginAccount_jat', userid);
		toMain();
		return;

		// var nwaiting = plus.nativeUI.showWaiting();
		//	webviewShow = plus.webview.create(""resHref"");

	};

	/**
	 * 获取当前状态
	 **/
	owner.getState = function() {
		var stateText = localStorage.getItem('$state-jat') || "{}";
		return JSON.parse(stateText);
	};
	
	owner.createUserState = function(userinfo) {
		console.log("userinfo==="+userinfo);
		var username = userinfo.split('&')[0]; //用户姓名
		var userjob = userinfo.split('&')[1]; //职位
		var usernumber = userinfo.split('&')[2]; //usernumber字段
		var userheadimg = userinfo.split('&')[3]; //个人中心有头像
		var state = owner.getState();
		state.account = userid;
		state.password = password;
		state.username = username;
		state.userjob = userjob;
		state.usernumber = usernumber;
		state.userheadimg = userheadimg;
		state.token = "token123456789";
		state.auto_login_valid_time = new Date().getTime(); //记录自动登录的有效期
		owner.setState(state);
		console.log('owner.setState(state);');
		//var v = plus.webview.currentWebview();
		//if(v)
		//plus.webview.currentWebview().close(); //解决在部分设备上不能跳转的问题
		var idpassword = document.getElementById('password');
		//idpassword.value = '';
		var idaccount = document.getElementById('account');
		//idaccount.value = '';
		localStorage.setItem('$loginAccount_jat', userid);
		toMain();
		return;

		// var nwaiting = plus.nativeUI.showWaiting();
		//	webviewShow = plus.webview.create(""resHref"");

	};


	/**
	 * 设置当前状态
	 **/
	owner.setState = function(state) {
		state = state || {};
		localStorage.setItem('$state-jat', JSON.stringify(state));
		//var settings = owner.getSettings();
		//settings.gestures = '';
		//owner.setSettings(settings);
	};

	var checkPhoneNumber = function(phoneNumber, idCard) {
		phoneNumber = phoneNumber || '';
		/*return(email.length > 3 && email.indexOf('@') > -1);*/
		return(phoneNumber.length == 11 && (idCard.length == 15 || idCard.length == 18));
	};

	/**
	 * 找回密码
	 **/
	owner.forgetPassword = function(phoneNumber, idCard, callback) {
		callback = callback || $.noop;
		console.log("111");
		if(!checkPhoneNumber(phoneNumber, idCard)) {
			return callback(false, '手机号或身份号不合法');
			console.log("22");
		}
		console.log("33");
		// 重置密码 校验身份  /{APPTYPE}/{USERPHONE}/{USERCARDID}
		var url = API_URL + "/PwdVerification/JIANANTONG/" + phoneNumber + "/" + idCard;
		mui.ajax(url, {
			data: {
				/*UserPhone: loginInfo.account,
				UserPWD: loginInfo.password,
				TerminalNumber: '测试',
				AccountTypes: '1'*/
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'get', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/json'
			},
			success: function(data) {
				console.log(data);
				console.log("SUCCESS=" + data.SUCCESS);
				// 取出返回值进行判断
				if(data.SUCCESS == true) {
					mui.toast('检验成功', {
						duration: 'long',
						type: 'div'
					})

					mui.openWindow({
						url: 'views/login/resetpsd.html',
						id: 'views/login/resetpsd.html',
						preload: true,
						createNew: true,
						extras: {
							idCard1: idCard,
							phoneNumber: phoneNumber
						},
						show: {
							duration: 200
						}
					});
					/*	return owner.createState(loginInfo.account, callback);*/
				} else {
					/*	return callback('登录失败，请检查用户名或密码是否正确');*/
					/*mui.toast('检验失败', { duration: 'long', type: 'div' });*/
					mui.alert('账号信息校验失败', '提示', '确定', null, 'div');

				}
			},
			error: function(xhr, type, errorThrown) {
				//异常处理； 
				mui.toast('程序异常' + type, {
					duration: 'long',
					type: 'div'
				})
			}
		});
		/*return callback(true, '开始调接口');*/
	};
	var checkPhoneNumberFormat = function(newPassword, newPassword2) {
		var newPassword = newPassword || '';
		var newPassword2 = newPassword2 || '';
		/*return(email.length > 3 && email.indexOf('@') > -1);*/
		var ret = false;
		if(newPassword.length >= 6 && newPassword2.length >= 6 && newPassword == newPassword2) {
			ret = true;
		}
		return ret;
	};
	/**
	 * 重新新密码
	 **/
	owner.checkNewPassword = function(phoneNumber, newPassword, newPassword2, idCard, callback) {
		callback = callback || $.noop;
		if(!checkPhoneNumberFormat(newPassword, newPassword2)) {
			return callback(false, '新密码检验失败');
		}
		// 重置密码 校验身份  /{APPTYPE}/{USERPHONE}/{USERCARDID}
		var url = API_URL + "/ResetPassword";
		mui.ajax(url, {
			data: {
				UserPhone: phoneNumber,
				UserPWD: newPassword,
				UserCardID: idCard,
				AccountTypes: '1'
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/json'
			},
			success: function(data) {
				console.log(data);
				console.log("SUCCESS=" + data.SUCCESS);
				// 取出返回值进行判断
				if(data.SUCCESS == true) {
					/*	mui.toast('密码重置成功', { duration: 'long', type: 'div' });*/
					mui.alert('密码重置成功', '提示', '确定', function() {
						mui.openWindow({
							url: '../../login.html',
							id: 'login.html'
						});
					}, 'div');
					/*	return owner.createState(loginInfo.account, callback);*/
				} else {
					/*	return callback('登录失败，请检查用户名或密码是否正确');*/
					/*	mui.toast('密码重置失败', { duration: 'long', type: 'div' })*/
					mui.alert('密码重置失败', '提示', '确定', null, 'div');
				}
			},
			error: function(xhr, type, errorThrown) {
				//异常处理； 
				mui.toast('程序异常' + type, {
					duration: 'long',
					type: 'div'
				})
			}
		});
		/*return callback(true, '开始调接口');*/
	};

	/**
	 * 获取应用本地配置
	 **/
	owner.setSettings = function(settings) {
		settings = settings || {};
		localStorage.setItem('$settings', JSON.stringify(settings));
	}

	/**
	 * 设置应用本地配置
	 **/
	owner.getSettings = function() {
		var settingsText = localStorage.getItem('$settings') || "{}";
		return JSON.parse(settingsText);
	}
}(mui, window.app = {}));

function closeme() {
	var ws = plus.webview.currentWebview();
	plus.webview.close(ws);
}

function toMain() {
	//使用定时器的原因：
	//可能执行太快，main页面loaded事件尚未触发就执行自定义事件，此时必然会失败
	console.log('-------------- 4');
	//	var taskid = setInterval(function() {//170427 暂时去掉定时器
	//		clearInterval(taskid);
	var all = plus.webview.all();
	var current = plus.webview.currentWebview() ? plus.webview.currentWebview().id : null;
	if(current != null)
		for(var i = 0, len = all.length; i < len; i++) {
			if(all[i].id !== current && 　all[i].id !== 'guide') {
				console.log('逐个关闭页面(从登陆跳转到主页):' + all[i].id); //打印出了setting; 
				all[i].close();
			}
		}
	console.log('--------------6');
	setTimeout(function() {
		mui.openWindow({
			url: 'main.html',
			id: 'main.html',
			createNew: true, //这里必须创建新的
			show: {
				autoShow: true, //20170405
				aniShow: 'slide-in-right',
				duration: 200
			},
			waiting: {
				autoShow: false
			}
		});
	}, 20); //不要超过200
	console.log('--------------7');
	//	}, 200);
}

/**
 * 方法说明： 检查自动登录有效期
 * 
 * @author 江节胜 ,E-mail:dev@jiangjiesheng.com
 * @version 创建时间：2017-4-27 上午10:47:56
 * 
 * @return
 */
function checkPeriodOfValidity() {
	var AUTO_LOGIN_VALID_TIME = 15 * 24 * 3600; //单位s ,15 * 24*3600 15天
	//	console.log("checkPeriodOfValidity auto_login_valid_time" + UserInfo.getUserState().auto_login_valid_time);
	var recordDateStampStr = (UserInfo.getUserState().auto_login_valid_time != null) ? Number(UserInfo.getUserState().auto_login_valid_time) : 0;
	//	console.log("checkPeriodOfValidity recordDateStampStr" + recordDateStampStr);
	var nowDateStamp = Number(new Date().getTime());
	var ddTime = (nowDateStamp - recordDateStampStr) / 1000;
	if(ddTime > AUTO_LOGIN_VALID_TIME) {
		console.log("checkPeriodOfValidity >");
		return false;
	}
	return true;
}