mui.plusReady(function() {
	plus.webview.currentWebview().setStyle({
		softinputMode: "adjustResize" // 弹出软键盘时自动改变webview的高度
	});
})
/*
 * author:fuchi
 * date:2018/1/24
 * desc:基本信息存储到本地
 */
mui.plusReady(function() {
	plus.webview.currentWebview().setStyle({
		softinputMode: "adjustResize" // 弹出软键盘时自动改变webview的高度
	});
})

function createUserState(userinfo) {
	// 获取用户信息设置
	var state = getState();
	// 获取自动登录设置
	var settings = getSettings();
	state.username = userinfo.userName;
	state.userId = userinfo.userId;
	state.userphone = userinfo.phone;
	state.headImage = userinfo.headImgUrl.indexOf("http") != -1 ? userinfo.headImgUrl : ApiRequest.getUrlHost() + userinfo.headImgUrl;
	state.mailbox = userinfo.mailbox;
	state.token = "yongnuo123456789";
	state.auto_login_valid_time = new Date().getTime(); //记录自动登录的有效期

	setState(state);
	// 设置自动自动
	settings.autoLogin = "add";
	setSettings(settings);
	localStorage.setItem('$loginAccount_yongnuo', JSON.stringify(userinfo));
	return;
};

function updateUserState(userinfo) {
	
	// 获取用户信息设置
	var state = getState();
	// 获取自动登录设置
	var settings = getSettings();
	state.username = userinfo.username;
	state.userId = userinfo.userId;
	state.userphone = userinfo.userphone;
	state.headImage = userinfo.headImage.indexOf("http") != -1 ? userinfo.headImage : ApiRequest.getUrlHost() + userinfo.headImage;
	console.log("state.headImage:" + state.headImage);
	state.mailbox = userinfo.mailbox;
	state.token = "yongnuo123456789";
	state.auto_login_valid_time = new Date().getTime(); //记录自动登录的有效期
	setState(state);
	// 设置自动自动
	settings.autoLogin = "add";
	setSettings(settings);
	localStorage.setItem('$loginAccount_yongnuo', JSON.stringify(userinfo));
	return;
};
/**
 * 设置当前状态
 **/
function setState(state) {
	state = state || {};
	localStorage.setItem('$state-yongnuo', JSON.stringify(state));
};

/**
 * 获取当前状态
 **/
function getState() {
	var stateText = localStorage.getItem('$state-yongnuo') || "{}";
	return JSON.parse(stateText);
	console.log("stateText==" + JSON.parse(stateText))
};

/**
 * 获取应用本地配置
 **/
function setSettings(settings) {
	settings = settings || {};
	localStorage.setItem('$settings', JSON.stringify(settings));
}

/**
 * 设置应用本地配置
 **/
function getSettings() {
	var settingsText = localStorage.getItem('$settings') || "{}";
	return JSON.parse(settingsText);
	console.log("settingsText==" + JSON.parse(settingsText))
}
/*
 * author:fuchi
 * date:2018/1/24
 * desc:获取登录认证通道方法
 */
var auths = {}; // 定义全局变量
function cancelOauth() {
	// 获取登录认证通道
	plus.oauth.getServices(function(services) {
		for(var i in services) {
			var service = services[i];
			auths[service.id] = service;
		}
		// 执行注销
		logoutAll();
	}, function(e) {

	});
}

// 注销第三方登录
function logoutAll() {
	for(var i in auths) {
		logout(auths[i]);
	}
}
// 退出
function logout(auth) {
	auth.logout(function() {}, function(e) {});
}

// 第三方登录
function thirdlogin(type, unionid, openid, headimgurl, nickName) {
	console.log(ApiRequest.getApiHost()+ '/User/checkUser?unionid=' + unionid + '&type=' + type);
	mui.ajax({
		url: ApiRequest.getApiHost() + '/User/checkUser?unionid=' + unionid + '&type=' + type,
		type: 'get',
		dataType: 'json',
		headers: {
			'Content-Type': 'application/json'
		},
		success: function(mes) {
			console.log("" + JSON.stringify(mes));
			if(mes.success) {
				createUserState(mes.data);
				openWin('index.html')
			} else {
				mui.openWindow({
					url: 'html/bind.html',
					id: 'html/bind.html',
					extras: {
						unionid: unionid,
						openid: openid,
						headimgurl: headimgurl,
						nickname: nickName,
						type: type
					}
				});
			}

		},
		error: function(xhr, type, errorThrown) {
			mui.toast('error');
		}
	});
}